# -*- coding: utf-8 -*-
# Generated by Django 1.11.11 on 2018-04-27 09:41
# flake8: noqa
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import jsoneditor.fields.django_jsonfield


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Poll',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=1000)),
                ('slug', models.SlugField(blank=True)),
                ('description', models.TextField(max_length=10000)),
                ('published', models.BooleanField(default=False)),
                ('public', models.BooleanField(default=False)),
                ('startdate', models.DateTimeField(blank=True, db_index=True, null=True)),
                ('enddate', models.DateTimeField(blank=True, db_index=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='PollParticipant',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('userid', models.IntegerField()),
                ('username', models.CharField(max_length=250)),
                ('admin', models.BooleanField(default=False)),
                ('poll', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='consensus_base.Poll')),
            ],
        ),
        migrations.CreateModel(
            name='PollQuestion',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('question', models.CharField(max_length=1000)),
                ('slug', models.SlugField(blank=True)),
                ('help', models.TextField(max_length=10000)),
                ('typeofquestion', models.CharField(choices=[('consensus_poll_question_type_vote', 'Vote'), ('consensus_poll_question_type_weights', 'Weights'), ('consensus_poll_question_type_feedback', 'Feedback')], default='consensus_poll_question_type_vote', max_length=250)),
                ('hide', models.BooleanField(default=False)),
                ('mandatory', models.BooleanField(default=False)),
                ('properties', jsoneditor.fields.django_jsonfield.JSONField(blank=True, default=[{'Property (ex: Max. Weight)': 'Value (ex: 100)'}])),
                ('choices', jsoneditor.fields.django_jsonfield.JSONField(blank=True, default=[{'choice-1': 'Choice 1'}, {'choice-2': 'Choice 2'}])),
                ('poll', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='consensus_base.Poll')),
            ],
        ),
        migrations.CreateModel(
            name='PollQuestionAnswer',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('mtime', models.DateTimeField(auto_now_add=True, db_index=True, null=True)),
                ('userid', models.IntegerField()),
                ('username', models.CharField(max_length=250)),
                ('answer', jsoneditor.fields.django_jsonfield.JSONField(blank=True, default=[{'choice-1': 'Choice 1'}, {'choice-2': 'Choice 2'}])),
                ('question', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='consensus_base.PollQuestion')),
            ],
        ),
        migrations.CreateModel(
            name='PollQuestionComment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('mtime', models.DateTimeField(auto_now_add=True, db_index=True, null=True)),
                ('userid', models.IntegerField()),
                ('username', models.CharField(max_length=250)),
                ('comment', models.TextField(max_length=10000)),
                ('question', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='consensus_base.PollQuestion')),
            ],
        ),
    ]
